# Make command index.
# Copyright (C) 2021 Jean Goubault-Larrecq
# and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
# Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.
#
# This file is part of GimML.
#
# GimML is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GimML is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GimML; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

BEGIN {first = 1}
$1 == prev && $2 != ppage {print "," $2 "%"; ppage = $2}
$1 != prev {if (first) {first = 0} else print "}"
	    print "\\item{\\verb\'" $1 "\'}\\dotfill{" $2 "%"; prev = $1; ppage = $2}
END {if (!first) print "}"
	print "\\item"}
