
%x comment foo
%%
    val line_num = ref 1
    val comment_caller = ref INITIAL

"/*"         comment_caller := INITIAL; glex_begin (yyd, comment); continue

<foo>"/*"    comment_caller := foo; glex_begin (yyd, comment); continue

<comment>[^*\n]*        (* eat anything that's not a '*' *) continue
<comment>"*"+[^*/\n]*   (* eat up '*'s not followed by '/'s *) continue
<comment>\n             inc line_num; continue
<comment>"*"+"/"        glex_begin (yyd, !comment_caller); continue

