val r1 = re_parse "^(Accepted|Failed|Postponed) (password|publickey|hostbased) for ([^ ]+) from ([0-9.]+) port ([0-9]+) (.*)$";
val r2=re_parse "^(Accepted|Failed|Postponed) (password|publickey|hostbased) for (invalid user|illegal user) ([^ ]+) from ([0-9.]+) port ([0-9]+) (.*)$";
val r3 = re_parse  "^(Accepted|Failed) (rhosts-rsa) for ([^ ]+) from ([0-9.]+) port ([0-9]+) ruser (.*)$";
val r4 = re_parse "^userauth_hostbased mismatch: client sends ([^,]+), but we resolve ([0-9.]+) to (.*)$";
val nfa = re_make_nfa [(r1, fn a => (1,a)),
			   (r2, fn a => (2,a)),
			   (r3, fn a => (3, a)),
			   (r4, fn a => (4,a))];
val s = "Failed rhosts-rsa for azumi from 192.10.1.7 port 443 ruser zorro";

val SOME (n, a) = nfa_run (nfa, s);
(*
re_subst(s,a,1);
re_subst(s,a,2);
re_subst(s,a,3);
re_subst(s,a,4);
re_subst(s,a,5);
re_subst(s,a,6);
 *)
