/* Definitions for input (scanning, parsing).
   Copyright (C) 2021 Jean Goubault-Larrecq
   and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
   Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.

   This file is part of GimML.

   GimML is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GimML is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GimML; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*  methods for reading:	*/
#define YY_INPUT_FILE 0
#define YY_INPUT_STDIN 1
#define YY_INPUT_STRING0 2
#define YY_INPUT_STRING 3

EXTERN int yy_input_device /*=YY_INPUT_STDIN by default*/;

EXTERN CHAR *yyfilename; /* when yy_input_device is
			    YY_INPUT_FILE or YY_INPUT_STDIN,
			    the input file */

/* when yy_input_device==YY_INPUT_STRING, we use the following:	*/
EXTERN CHAR *yystring;
EXTERN long yystringlen;
EXTERN long yyoffset;
