/* Static structures for gramaux.c.
   Copyright (C) 2021 Jean Goubault-Larrecq
   and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
   Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.

   This file is part of GimML.

   GimML is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GimML is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GimML; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

struct matchstruct {
  ExprPtr str1;
  ExprPtr str2;
  ExprPtr res;
};

struct bisonstate {
  int yychar;
  YYSTYPE yylval;
  YYLTYPE yylloc;
  int yynerrs;
  Boolean wantCloseFile;
};

struct errconsenv {
  ExprPtr ids;
  TZone *zone;
};

struct checksum {
  Checksum cs;
};
