/* Static structures for modules.c.
   Copyright (C) 2021 Jean Goubault-Larrecq
   and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
   Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.

   This file is part of GimML.

   GimML is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GimML is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GimML; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

struct tdginst {
  ExprPtr t;
  ExprPtr subst;
  Boolean defselfp;
};

struct checkcond {
  ExprPtr assum;
  ExprPtr state;
};

struct checkcons {
  ExprPtr assum;
  ExprPtr state;
  MapPtr cons2;
  MapPtr subst1;
  MapPtr subst2;
};

struct occurs2p {
  ExprPtr typevar;
  ExprPtr state;
};

struct instsig {
  ExprPtr state;
  MapPtr subst; /* for variables in a TDG */
};

struct instlist {
  ExprPtr state0;
  MapPtr subst;
  ExprPtr new;
};
