# Make notion index.
# Copyright (C) 2021 Jean Goubault-Larrecq
# and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
# Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.
#
# This file is part of GimML.
#
# GimML is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GimML is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GimML; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

$1 ~ "cf" && $2 $3 != prev {print ""; print "\\item " $2 ": {\\em see }" $3; prev = $2 $3}
$1 ~ "main" && $2 == prev && $4 != ppage {print "," $4 "%"; ppage = $4; psub = ""}
$1 ~ "main" && $2 != prev {print ""; print "\\item " $2 "{\\dotfill}" $4 "%"
			prev = $2; psub = ""; ppage = $4}
$1 ~ "sub" && $2 == prev && $3 == psub && $4 != ppage {print "," $4 "%"
						ppage = $4}
$1 ~ "sub" && $2 == prev && $3 != psub {print ""
			print "\\subitem " $3 "{\\dotfill}" $4 "%"
			psub = $3; ppage = $4}
$1 ~ "sub" && $2 != prev {print ""
			print "\\item " $2
			print "\\subitem " $3 "{\\dotfill}" $4 "%"
			prev = $2; psub = $3; ppage = $4}
END {print ""; print "\\item"}
