\entry {introduction}{1}{introduction}
\entry {context-free grammar}{13}{context-free grammar}
\entry {grammar, context-free}{13}{grammar, context-free}
\entry {BNF}{13}{BNF}
\entry {Backus-Naur form}{13}{Backus-Naur form}
\entry {symbols (abstract)}{13}{symbols (abstract)}
\entry {token}{13}{token}
\entry {syntactic grouping}{13}{syntactic grouping}
\entry {grouping, syntactic}{13}{grouping, syntactic}
\entry {start symbol}{14}{start symbol}
\entry {Gyacc grammar}{15}{Gyacc grammar}
\entry {grammar, Gyacc}{15}{grammar, Gyacc}
\entry {formal grammar}{15}{formal grammar}
\entry {semantic value}{16}{semantic value}
\entry {value, semantic}{16}{value, semantic}
\entry {semantic actions}{16}{semantic actions}
\entry {actions, semantic}{16}{actions, semantic}
\entry {Gyacc parser}{17}{Gyacc parser}
\entry {Gyacc utility}{17}{Gyacc utility}
\entry {lexical analyzer, purpose}{17}{lexical analyzer, purpose}
\entry {parser}{17}{parser}
\entry {stages in using Gyacc}{18}{stages in using Gyacc}
\entry {using Gyacc}{18}{using Gyacc}
\entry {grammar file}{18}{grammar file}
\entry {file format}{18}{file format}
\entry {format of grammar file}{18}{format of grammar file}
\entry {layout of Gyacc grammar}{18}{layout of Gyacc grammar}
\entry {simple examples}{21}{simple examples}
\entry {examples, simple}{21}{examples, simple}
\entry {reverse polish notation}{21}{reverse polish notation}
\entry {polish notation calculator}{21}{polish notation calculator}
\entry {rpcalc}{21}{\code {rpcalc}}
\entry {calculator, simple}{21}{calculator, simple}
\entry {writing a lexical analyzer}{25}{writing a lexical analyzer}
\entry {lexical analyzer, writing}{25}{lexical analyzer, writing}
\entry {controlling function}{29}{controlling function}
\entry {main function in simple example}{29}{main function in simple example}
\entry {error reporting routine}{29}{error reporting routine}
\entry {running Gyacc (introduction)}{30}{running Gyacc (introduction)}
\entry {compiling the parser}{30}{compiling the parser}
\entry {infix notation calculator}{31}{infix notation calculator}
\entry {calc}{31}{\code {calc}}
\entry {calculator, infix notation}{31}{calculator, infix notation}
\entry {error recovery, simple}{34}{error recovery, simple}
\entry {multi-function calculator}{35}{multi-function calculator}
\entry {mfcalc}{35}{\code {mfcalc}}
\entry {calculator, multi-function}{35}{calculator, multi-function}
\entry {symbol table example}{38}{symbol table example}
\entry {exercises}{40}{exercises}
\entry {GimML declarations section}{41}{GimML declarations section}
\entry {declarations, GimML}{41}{declarations, GimML}
\entry {Gyacc declarations (introduction)}{42}{Gyacc declarations (introduction)}
\entry {declarations, Gyacc (introduction)}{42}{declarations, Gyacc (introduction)}
\entry {grammar rules section}{42}{grammar rules section}
\entry {rules section for grammar}{42}{rules section for grammar}
\entry {additional GimML code section}{42}{additional GimML code section}
\entry {GimML code, section for additional}{42}{GimML code, section for additional}
\entry {nonterminal symbol}{42}{nonterminal symbol}
\entry {terminal symbol}{42}{terminal symbol}
\entry {token type}{42}{token type}
\entry {symbol}{42}{symbol}
\entry {character token}{43}{character token}
\entry {literal token}{43}{literal token}
\entry {single-character literal}{43}{single-character literal}
\entry {rule syntax}{44}{rule syntax}
\entry {grammar rule syntax}{44}{grammar rule syntax}
\entry {syntax of grammar rules}{44}{syntax of grammar rules}
\entry {{\tt\char'174}}{44}{\code {{\tt\char'174}}}
\entry {recursive rule}{45}{recursive rule}
\entry {left recursion}{45}{left recursion}
\entry {right recursion}{45}{right recursion}
\entry {mutual recursion}{46}{mutual recursion}
\entry {defining language semantics}{46}{defining language semantics}
\entry {language semantics, defining}{46}{language semantics, defining}
\entry {semantic value type}{47}{semantic value type}
\entry {value type, semantic}{47}{value type, semantic}
\entry {data types of semantic values}{47}{data types of semantic values}
\entry {default data type}{47}{default data type}
\entry {action}{47}{action}
\entry {$$}{47}{\code {$$}}
\entry {$n}{47}{\code {$\var {n}}}
\entry {Bind}{47}{\code {\code {Bind}}}
\entry {default action}{48}{default action}
\entry {action data types}{49}{action data types}
\entry {data types in actions}{49}{data types in actions}
\entry {actions in mid-rule}{49}{actions in mid-rule}
\entry {mid-rule actions}{49}{mid-rule actions}
\entry {declarations, Gyacc}{52}{declarations, Gyacc}
\entry {Gyacc declarations}{52}{Gyacc declarations}
\entry {declaring token type names}{53}{declaring token type names}
\entry {token type names, declaring}{53}{token type names, declaring}
\entry {%token}{53}{\code {%token}}
\entry {precedence declarations}{54}{precedence declarations}
\entry {declaring operator precedence}{54}{declaring operator precedence}
\entry {operator precedence, declaring}{54}{operator precedence, declaring}
\entry {including GimML code into the header file}{55}{including GimML code into the header file}
\entry {declaring value types}{55}{declaring value types}
\entry {value types, declaring}{55}{value types, declaring}
\entry {%union}{55}{\code {%union}}
\entry {declaring value types, nonterminals}{56}{declaring value types, nonterminals}
\entry {value types, nonterminals, declaring}{56}{value types, nonterminals, declaring}
\entry {%type}{56}{\code {%type}}
\entry {suppressing conflict warnings}{56}{suppressing conflict warnings}
\entry {preventing warnings about conflicts}{56}{preventing warnings about conflicts}
\entry {warnings, preventing}{56}{warnings, preventing}
\entry {conflicts, suppressing warnings of}{56}{conflicts, suppressing warnings of}
\entry {%expect}{56}{\code {%expect}}
\entry {declaring the start symbol}{57}{declaring the start symbol}
\entry {start symbol, declaring}{57}{start symbol, declaring}
\entry {default start symbol}{57}{default start symbol}
\entry {%start}{57}{\code {%start}}
\entry {reentrant parser}{57}{reentrant parser}
\entry {pure parser}{57}{pure parser}
\entry {%pure{\_}parser}{57}{\code {%pure{\_}parser}}
\entry {Gyacc declaration summary}{58}{Gyacc declaration summary}
\entry {declaration summary}{58}{declaration summary}
\entry {summary, Gyacc declaration}{58}{summary, Gyacc declaration}
\entry {GimML-language interface}{61}{GimML-language interface}
\entry {interface}{61}{interface}
\entry {yyparse}{61}{\code {yyparse}}
\entry {gyacc{\_}data}{61}{\code {gyacc{\_}data}}
\entry {gyacc{\_}data}{61}{\code {gyacc{\_}data}}
\entry {yylex}{62}{\code {yylex}}
\entry {lexical analyzer}{62}{lexical analyzer}
\entry {yyvalue}{63}{\code {yyvalue}}
\entry {yylloc}{64}{\code {yylloc}}
\entry {error reporting function}{64}{error reporting function}
\entry {yyerror}{64}{\code {yyerror}}
\entry {parse error}{64}{parse error}
\entry {syntax error}{64}{syntax error}
\entry {Gyacc}{64}{\code {Gyacc}}
\entry {gyaccmsg}{64}{\code {gyaccmsg}}
\entry {summary, action features}{65}{summary, action features}
\entry {action features summary}{65}{action features summary}
\entry {gyacc{\_}value}{65}{\code {gyacc{\_}value}}
\entry {gyacc{\_}default{\_}value}{65}{\code {gyacc{\_}default{\_}value}}
\entry {gyacc{\_}error}{66}{\code {gyacc{\_}error}}
\entry {gyacc{\_}recovering}{66}{\code {gyacc{\_}recovering}}
\entry {gyacc{\_}clear{\_}in}{66}{\code {gyacc{\_}clear{\_}in}}
\entry {gyacc{\_}error{\_}ok}{66}{\code {gyacc{\_}error{\_}ok}}
\entry {{\tt\char'100}n}{66}{\code {{\tt\char'100}\var {n}}}
\entry {gyacc{\_}location}{66}{\code {gyacc{\_}location}}
\entry {gyacc{\_}max{\_}depth}{66}{\code {gyacc{\_}max{\_}depth}}
\entry {gyacc{\_}set{\_}max{\_}depth}{66}{\code {gyacc{\_}set{\_}max{\_}depth}}
\entry {Gyacc parser algorithm}{67}{Gyacc parser algorithm}
\entry {algorithm of parser}{67}{algorithm of parser}
\entry {shifting}{67}{shifting}
\entry {reduction}{67}{reduction}
\entry {parser stack}{67}{parser stack}
\entry {stack, parser}{67}{stack, parser}
\entry {look-ahead token}{68}{look-ahead token}
\entry {conflicts}{69}{conflicts}
\entry {shift/reduce conflicts}{69}{shift/reduce conflicts}
\entry {dangling else}{69}{dangling \code {else}}
\entry {else, dangling}{69}{\code {else}, dangling}
\entry {operator precedence}{70}{operator precedence}
\entry {precedence of operators}{70}{precedence of operators}
\entry {associativity}{71}{associativity}
\entry {%left}{71}{\code {%left}}
\entry {%right}{71}{\code {%right}}
\entry {%nonassoc}{71}{\code {%nonassoc}}
\entry {context-dependent precedence}{73}{context-dependent precedence}
\entry {unary operator precedence}{73}{unary operator precedence}
\entry {precedence, context-dependent}{73}{precedence, context-dependent}
\entry {precedence, unary operator}{73}{precedence, unary operator}
\entry {%prec}{73}{\code {%prec}}
\entry {finite-state machine}{74}{finite-state machine}
\entry {parser state}{74}{parser state}
\entry {state (of parser)}{74}{state (of parser)}
\entry {reduce/reduce conflict}{74}{reduce/reduce conflict}
\entry {conflicts, reduce/reduce}{74}{conflicts, reduce/reduce}
\entry {LR(1)}{77}{LR(1)}
\entry {LALR(1)}{77}{LALR(1)}
\entry {stack overflow}{78}{stack overflow}
\entry {parser stack overflow}{78}{parser stack overflow}
\entry {overflow of parser stack}{78}{overflow of parser stack}
\entry {gyacc{\_}set{\_}max{\_}depth}{78}{\code {gyacc{\_}set{\_}max{\_}depth}}
\entry {default stack limit}{79}{default stack limit}
\entry {error recovery}{81}{error recovery}
\entry {recovery from errors}{81}{recovery from errors}
\entry {error}{81}{\code {error}}
\entry {gyacc{\_}error{\_}ok}{82}{\code {gyacc{\_}error{\_}ok}}
\entry {gyacc{\_}clear{\_}in}{82}{\code {gyacc{\_}clear{\_}in}}
\entry {gyacc{\_}recovering}{83}{\code {gyacc{\_}recovering}}
\entry {lexical tie-in}{86}{lexical tie-in}
\entry {debugging}{89}{debugging}
\entry {tracing the parser}{89}{tracing the parser}
\entry {gyacc{\_}set{\_}debug}{89}{\code {gyacc{\_}set{\_}debug}}
\entry {invoking Gyacc}{91}{invoking Gyacc}
\entry {Gyacc invocation}{91}{Gyacc invocation}
\entry {options for invoking Gyacc}{91}{options for invoking Gyacc}
\entry {invoking Gyacc under VMS}{93}{invoking Gyacc under VMS}
\entry {VMS}{93}{VMS}
\entry {Gyacc symbols, table of}{95}{Gyacc symbols, table of}
\entry {symbols in Gyacc, table of}{95}{symbols in Gyacc, table of}
\entry {glossary}{99}{glossary}
