/* Prototypes for GimML large integer primitives.
   Copyright (C) 2021 Jean Goubault-Larrecq
   and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
   Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.

   This file is part of GimML.

   GimML is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GimML is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GimML; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

DECL_ACTION(zmulmods)
DECL_ACTION(zdoub)
DECL_ACTION(zintoz)
DECL_ACTION(ztoint)
DECL_ACTION(zsbastoz)
DECL_ACTION(zbastoz)
DECL_ACTION(zstobas)
DECL_ACTION(zstosymbas)
DECL_ACTION(ztobas)
DECL_ACTION(ztosymbas)
DECL_ACTION(zcompare)
DECL_ACTION(znegate)
DECL_ACTION(zsadd)
DECL_ACTION(zadd)
DECL_ACTION(zsub)
DECL_ACTION(zsmul)
DECL_ACTION(zmul)
DECL_ACTION(zsqr)
DECL_ACTION(zsdiv)
DECL_ACTION(zsmod)
DECL_ACTION(zdiv)
DECL_ACTION(zmod)
DECL_ACTION(zaddmod)
DECL_ACTION(zsubmod)
DECL_ACTION(zsmulmod)
DECL_ACTION(zmulmod)
DECL_ACTION(zsqmod)
DECL_ACTION(zdivmod)
DECL_ACTION(zinvmod)
DECL_ACTION(zmstart)
DECL_ACTION(ztom)
DECL_ACTION(zmtoz)
DECL_ACTION(zmontadd)
DECL_ACTION(zmontsub)
DECL_ACTION(zsmontmul)
DECL_ACTION(zmontmul)
DECL_ACTION(zmontsqr)
DECL_ACTION(zmontdiv)
DECL_ACTION(zmontinv)
DECL_ACTION(zexteucl)
DECL_ACTION(zchirem)
DECL_ACTION(zmontexp)
DECL_ACTION(zsexpmod)
DECL_ACTION(zexpmod)
DECL_ACTION(z2expmod)
DECL_ACTION(zdefault_m)
DECL_ACTION(zmontexp_m_ary)
DECL_ACTION(zexpmod_m_ary)
DECL_ACTION(zsexp)
DECL_ACTION(zexp)
DECL_ACTION(zexpmods)
DECL_ACTION(zexpmod_doub)
DECL_ACTION(zmontexp_doub)
DECL_ACTION(z2mul)
DECL_ACTION(z2div)
DECL_ACTION(z2mod)
DECL_ACTION(zlshift)
DECL_ACTION(zrshift)
DECL_ACTION(z_makeodd)
DECL_ACTION(zsqrts)
DECL_ACTION(zsqrt)
DECL_ACTION(zroot)
DECL_ACTION(zgcd)
DECL_ACTION(zgcdeucl)
DECL_ACTION(nextprime)
DECL_ACTION(zpollardrho)
DECL_ACTION(ztridiv)
DECL_ACTION(zsign)
DECL_ACTION(zabs)
DECL_ACTION(z2logs)
DECL_ACTION(z2log)
DECL_ACTION(zln)
DECL_ACTION(zweights)
DECL_ACTION(zweight)
DECL_ACTION(znot)
DECL_ACTION(zand)
DECL_ACTION(IntToSet)
DECL_ACTION(SetToInt)
DECL_ACTION(zxor)
DECL_ACTION(zor)
DECL_ACTION(zlowbits)
DECL_ACTION(zhighbits)
DECL_ACTION(zbit)
DECL_ACTION(zsetbit)
DECL_ACTION(zclrbit)
DECL_ACTION(zreverses)
DECL_ACTION(zreverse)
DECL_ACTION(zjacobi)
DECL_ACTION(zjacobis)
DECL_ACTION(zprobprime)
DECL_ACTION(zsrand)
DECL_ACTION(zrandoml)
DECL_ACTION(zrandoml1)
DECL_ACTION(z_rand)
DECL_ACTION(zrand1)
DECL_ACTION(zrandomprime)
DECL_ACTION(zrandomprime1)
DECL_ACTION(zrandompprime)
DECL_ACTION(zrandompprime1)
DECL_ACTION(zrandomfprime)
DECL_ACTION(zrandomfprime1)
DECL_ACTION(zrandomgprime)
DECL_ACTION(zrandomgprime1)
DECL_ACTION(zecm)
