/* Static structures for type.c.
   Copyright (C) 2021 Jean Goubault-Larrecq
   and Université Paris-Saclay, CNRS, ENS Paris-Saclay,
   Laboratoire Méthodes Formelles, 91190, Gif-sur-Yvette, France.

   This file is part of GimML.

   GimML is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   GimML is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GimML; see the file COPYING.  If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

typedef enum typeSpecTag {
  tst_Type, tst_NumType, tst_TupleType, tst_RecordType
} typeSpecTag;

struct checkidexts {
  ExprPtr assum;
  ExprPtr state;
  MapPtr vz;
};

struct extvalerr {
  ExprPtr assum;
  ExprPtr state;
};

struct checkimport {
  ExprPtr zone;
  ExprPtr assum;
  ExprPtr state;
  ExprPtr new_assum;
  Boolean err;
};

typedef ExprPtr (*tcAct) P((INOUT ExprPtr expr,INOUT ExprPtr assum,INOUT ExprPtr state));
